CRMchat APIBeta
Telegram MethodsMessages

messages.report

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.report

Report a message in a chat for violation of telegram's Terms of Service

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Report a message in a chat for violation of telegram's Terms of Service

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.report" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "id": [        0      ],      "option": "string",      "message": "string"    }  }'
{  "result": {    "_": "reportResultChooseOption",    "title": "string",    "options": [      {        "_": "messageReportOption",        "text": "string",        "option": "string"      }    ]  }}